# Retrieve the status of jobs within a specific retention period

Retrieves the status of jobs that occurred within a set time period.

Endpoint: GET /api/status/jobs/{retentionPeriod}
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `retentionPeriod` (integer, required)
    The retention period, for example, `30` days.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json:):

  - `items` (array)
    Gets or sets the list of items.

  - `items.type` (string)

  - `items.total` (integer)

  - `items.condition` (object)

  - `items.average_pickup_time_seconds` (integer)
    Average pickup time of the last hour in seconds.

  - `items.self` (object)
    Represents a link to a resource.

  - `items.self.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.title` (string)
    Gets or sets the title that describes this link.

  - `items.self.templated` (boolean)
    Whether the contained URI is a template.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

  - `identifier` (string)
    Gets or sets the identifier of the resource.

## Response 200 fields (application/json):

  - `next` (object)
    Represents a link to a resource.

  - `next.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.title` (string)
    Gets or sets the title that describes this link.

  - `next.templated` (boolean)
    Whether the contained URI is a template.

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 401:

  - `401` (unknown)
    Unauthorized request

